[arch-commits] Commit in gift-gnutella/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 7 02:22:15 EDT 2009


    Date: Tuesday, April 7, 2009 @ 02:22:14
  Author: eric
Revision: 34163

Merged revisions 356,13765,34162 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gift-gnutella/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r13765 | allan | 2008-09-28 10:38:19 -0400 (Sun, 28 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r34162 | eric | 2009-04-07 02:21:54 -0400 (Tue, 07 Apr 2009) | 2 lines
  
  upgpkg: gift-gnutella 0.0.11-2
      Added license
........

Modified:
  gift-gnutella/repos/extra-x86_64/	(properties)
  gift-gnutella/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: gift-gnutella/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gift-gnutella/trunk:1
   + /gift-gnutella/trunk:1-34162

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-07 06:21:54 UTC (rev 34162)
+++ extra-x86_64/PKGBUILD	2009-04-07 06:22:14 UTC (rev 34163)
@@ -4,21 +4,21 @@
 
 pkgname=gift-gnutella
 pkgver=0.0.11
-pkgrel=1
+pkgrel=2
 pkgdesc="GiFT's Gnutella plugin."
 arch=(i686 x86_64)
+url="http://gift.sourceforge.net"
+license=('GPL')
 depends=('gift' 'zlib')
-source=(http://heanet.dl.sourceforge.net/sourceforge/gift/$pkgname-$pkgver.tar.bz2)
-url="http://gift.sourceforge.net"
+source=(http://downloads.sourceforge.net/sourceforge/gift/$pkgname-$pkgver.tar.bz2)
 md5sums=('279c7dc0121b3b7e209b09c98d10f17f')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   touch NEWS AUTHORS
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr|| return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  mkdir -p $startdir/pkg/usr/share/giFT/Gnutella
-  cp $startdir/src/$pkgname-$pkgver/data/Gnutella.conf $startdir/pkg/usr/share/giFT/Gnutella
-  cp $startdir/src/$pkgname-$pkgver/data/hostiles.txt $startdir/pkg/usr/share/giFT/Gnutella
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 data/Gnutella.conf $pkgdir/usr/share/giFT/Gnutella/Gnutella.conf
+  install -D -m644 data/hostiles.txt $pkgdir/usr/share/giFT/Gnutella/hostiles.txt
 }



More information about the arch-commits mailing list